package de.tu_dresden.diplom.richter_mirko_mat2628335.services.context;

import org.apache.log4j.Logger;
import de.tu_dresden.diplom.richter_mirko_mat2628335.common.context.BaseContextInfo;
import de.tu_dresden.diplom.richter_mirko_mat2628335.common.context.IFCountingContext;

/**
 * 
 */
public class ServiceContextInfo extends BaseContextInfo implements IFServiceContextInfo{

   private static final Logger logger = Logger.getLogger(ServiceContextInfo.class);

   private IFCountingContext countingContext = null;

   public ServiceContextInfo(IFCountingContext countingContext) {
      this.countingContext = countingContext;
   }

   public String getIdentification() {
      String result = null;
      if(countingContext != null && countingContext.getCoordinationContext() != null){
         result = countingContext.getCoordinationContext().getIdentification();
      }
      return result;
   }

}
